Package de.willuhn.jameica.hbci.gui.controller

# Class PassportControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.PassportControl

public class PassportControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die View der Bank-Zugaenge.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`PassportControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`PassportTree`
`getPassports()`
Liefert einen Tree mit den existierenden Passports.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PassportControl

public PassportControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getPassports

public PassportTree getPassports() throws RemoteException
Liefert einen Tree mit den existierenden Passports.

Returns:
  Tabelle mit den Passports.
Throws:
  `RemoteException`